IcedTea-Web NetX

## javax.jnlp
Interface DownloadService

    public interface DownloadService

Method Summary
`DownloadServiceListener` `getDefaultProgressWindow()`
`boolean` `isExtensionPartCached(java.net.URL ref, java.lang.String version, java.lang.String part)`
`boolean` `isExtensionPartCached(java.net.URL ref, java.lang.String version, java.lang.String[] parts)`
`boolean` `isPartCached(java.lang.String part)`
`boolean` `isPartCached(java.lang.String[] parts)`
`boolean` `isResourceCached(java.net.URL ref, java.lang.String version)`
`void` `loadExtensionPart(java.net.URL ref, java.lang.String version, java.lang.String[] parts, DownloadServiceListener progress)`
`void` `loadExtensionPart(java.net.URL ref, java.lang.String version, java.lang.String part, DownloadServiceListener progress)`
`void` `loadPart(java.lang.String[] parts, DownloadServiceListener progress)`
`void` `loadPart(java.lang.String part, DownloadServiceListener progress)`
`void` `loadResource(java.net.URL ref, java.lang.String version, DownloadServiceListener progress)`
`void` `removeExtensionPart(java.net.URL ref, java.lang.String version, java.lang.String part)`
`void` `removeExtensionPart(java.net.URL ref, java.lang.String version, java.lang.String[] parts)`
`void` `removePart(java.lang.String part)`
`void` `removePart(java.lang.String[] parts)`
`void` `removeResource(java.net.URL ref, java.lang.String version)`

Method Detail

### isResourceCached

    boolean isResourceCached(java.net.URL ref,
                             java.lang.String version)

### isPartCached

    boolean isPartCached(java.lang.String part)

### isPartCached

    boolean isPartCached(java.lang.String[] parts)

### isExtensionPartCached

    boolean isExtensionPartCached(java.net.URL ref,
                                  java.lang.String version,
                                  java.lang.String part)

### isExtensionPartCached

    boolean isExtensionPartCached(java.net.URL ref,
                                  java.lang.String version,
                                  java.lang.String[] parts)

### loadResource

    void loadResource(java.net.URL ref,
                      java.lang.String version,
                      DownloadServiceListener progress)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadPart

    void loadPart(java.lang.String part,
                  DownloadServiceListener progress)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadPart

    void loadPart(java.lang.String[] parts,
                  DownloadServiceListener progress)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadExtensionPart

    void loadExtensionPart(java.net.URL ref,
                           java.lang.String version,
                           java.lang.String part,
                           DownloadServiceListener progress)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadExtensionPart

    void loadExtensionPart(java.net.URL ref,
                           java.lang.String version,
                           java.lang.String[] parts,
                           DownloadServiceListener progress)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### removeResource

    void removeResource(java.net.URL ref,
                        java.lang.String version)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### removePart

    void removePart(java.lang.String part)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### removePart

    void removePart(java.lang.String[] parts)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### removeExtensionPart

    void removeExtensionPart(java.net.URL ref,
                             java.lang.String version,
                             java.lang.String part)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### removeExtensionPart

    void removeExtensionPart(java.net.URL ref,
                             java.lang.String version,
                             java.lang.String[] parts)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getDefaultProgressWindow

    DownloadServiceListener getDefaultProgressWindow()

IcedTea-Web NetX

Submit a bug or feature